> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.prolific.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.prolific.com/_mcp/server.

# Get Batch Responses

GET https://api.prolific.com/api/v1/data-collection/batches/{batch_id}/responses

Get responses for an AI Task Builder batch as JSON. Returns individual response records for programmatic processing.

Reference: https://docs.prolific.com/api-reference/ai-task-builder/get-task-builder-batch-task-responses

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Prolific API for Data Collectors
  version: 1.0.0
paths:
  /api/v1/data-collection/batches/{batch_id}/responses:
    get:
      operationId: get-task-builder-batch-task-responses
      summary: Get Batch Responses
      description: >-
        Get responses for an AI Task Builder batch as JSON. Returns individual
        response records for programmatic processing.
      tags:
        - subpackage_aiTaskBuilder
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            The Prolific API uses API token to authenticate requests. You can
            create an API token directly from your settings.


            Your API token does not have an expiry date and carries full
            permission, so be sure to keep them secure.


            If your token is leaked, delete it and create a new one directly in
            the app.


            In your requests add `Authorization` header with the value `Token
            <your token>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AI Task
                  Builder_GetTaskBuilderBatchTaskResponses_Response_200
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
servers:
  - url: https://api.prolific.com
    description: Production
components:
  schemas:
    AiTaskBuilderTaskResponseResponseType:
      type: string
      enum:
        - multiple_choice
        - free_text
        - free_text_with_unit
        - multiple_choice_with_free_text
        - file_upload
      title: AiTaskBuilderTaskResponseResponseType
    AiTaskBuilderTaskResponseResponseAnswerItemsValue:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
      title: AiTaskBuilderTaskResponseResponseAnswerItemsValue
    AiTaskBuilderTaskResponseResponseAnswerItems:
      type: object
      properties:
        value:
          $ref: >-
            #/components/schemas/AiTaskBuilderTaskResponseResponseAnswerItemsValue
      description: The participant's answer value
      title: AiTaskBuilderTaskResponseResponseAnswerItems
    AiTaskBuilderTaskResponseResponse:
      type: object
      properties:
        instruction_id:
          type: string
        type:
          $ref: '#/components/schemas/AiTaskBuilderTaskResponseResponseType'
        answer:
          type: array
          items:
            $ref: '#/components/schemas/AiTaskBuilderTaskResponseResponseAnswerItems'
      required:
        - instruction_id
        - type
        - answer
      title: AiTaskBuilderTaskResponseResponse
    AITaskBuilderTaskResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        batch_id:
          type: string
        participant_id:
          type: string
        submission_id:
          type: string
          description: The Prolific submission ID
        correlation_id:
          type: string
          description: Correlation ID for tracking
        response:
          $ref: '#/components/schemas/AiTaskBuilderTaskResponseResponse'
        task_id:
          type: string
        metadata:
          type: object
          additionalProperties:
            description: Any type
        schema_version:
          type: integer
        no_submission:
          type: boolean
      required:
        - id
        - created_at
        - batch_id
        - participant_id
        - response
        - task_id
      title: AITaskBuilderTaskResponse
    ApiV1DataCollectionBatchesBatchIdResponsesGetResponsesContentApplicationJsonSchemaMeta:
      type: object
      properties:
        count:
          type: integer
          description: Total number of responses
      title: >-
        ApiV1DataCollectionBatchesBatchIdResponsesGetResponsesContentApplicationJsonSchemaMeta
    AI Task Builder_GetTaskBuilderBatchTaskResponses_Response_200:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/AITaskBuilderTaskResponse'
        meta:
          $ref: >-
            #/components/schemas/ApiV1DataCollectionBatchesBatchIdResponsesGetResponsesContentApplicationJsonSchemaMeta
      title: AI Task Builder_GetTaskBuilderBatchTaskResponses_Response_200
    ErrorDetailDetail2:
      type: object
      properties:
        any_field:
          type: array
          items:
            type: string
          description: >-
            Name of the field with a validation error and as a value an array
            with the error descriptions
      description: All fields with validation errors
      title: ErrorDetailDetail2
    ErrorDetailDetail:
      oneOf:
        - type: string
        - type: array
          items:
            type: string
        - $ref: '#/components/schemas/ErrorDetailDetail2'
      description: Error detail
      title: ErrorDetailDetail
    ErrorDetail:
      type: object
      properties:
        status:
          type: integer
          description: Status code as in the http standards
        error_code:
          type: integer
          description: Internal error code
        title:
          type: string
          description: Error title
        detail:
          $ref: '#/components/schemas/ErrorDetailDetail'
          description: Error detail
        additional_information:
          type: string
          description: Optional extra information
        traceback:
          type: string
          description: Optional debug information
        interactive:
          type: boolean
      required:
        - status
        - error_code
        - title
        - detail
      title: ErrorDetail
    Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
      title: Error
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Prolific API uses API token to authenticate requests. You can create
        an API token directly from your settings.


        Your API token does not have an expiry date and carries full permission,
        so be sure to keep them secure.


        If your token is leaked, delete it and create a new one directly in the
        app.


        In your requests add `Authorization` header with the value `Token <your
        token>`.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "results": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "created_at": "2024-01-15T09:30:00Z",
      "batch_id": "batch_987654321",
      "participant_id": "participant_123456789",
      "response": {
        "instruction_id": "instr_001",
        "type": "multiple_choice",
        "answer": [
          {
            "value": "Option A"
          }
        ]
      },
      "task_id": "task_123abc",
      "submission_id": "submission_456789123",
      "correlation_id": "corr_abc123xyz",
      "metadata": {
        "device": "mobile",
        "location": "UK"
      },
      "schema_version": 1,
      "no_submission": false
    }
  ],
  "meta": {
    "count": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses"

payload = {}
headers = {
    "Authorization": "Token <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses';
const options = {
  method: 'GET',
  headers: {Authorization: 'Token <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Token <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses")
  .header("Authorization", "Token <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Token <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Token <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prolific.com/api/v1/data-collection/batches/batch_id/responses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```